net.sf.jasperreports.data.hibernate

## Class HibernateDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.hibernate.HibernateDataAdapterImpl

- All Implemented Interfaces:
    DataAdapter, HibernateDataAdapter

      public class HibernateDataAdapterImpl
      extends AbstractDataAdapter
      implements HibernateDataAdapter

  Version:
    $Id: HibernateDataAdapterImpl.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPropertiesFileName()`
    `java.lang.String` | `getXMLFileName()`
    `boolean` | `isUseAnnotation()`
    `void` | `setPropertiesFileName(java.lang.String fileName)`
    `void` | `setUseAnnotation(boolean useAnnotation)`
    `void` | `setXMLFileName(java.lang.String fileName)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### HibernateDataAdapterImpl

          public HibernateDataAdapterImpl()

  - ### Method Detail

    - #### getXMLFileName

          public java.lang.String getXMLFileName()

      Specified by:
        `getXMLFileName` in interface `HibernateDataAdapter`

    - #### setXMLFileName

          public void setXMLFileName(java.lang.String fileName)

      Specified by:
        `setXMLFileName` in interface `HibernateDataAdapter`

    - #### getPropertiesFileName

          public java.lang.String getPropertiesFileName()

      Specified by:
        `getPropertiesFileName` in interface `HibernateDataAdapter`

    - #### setPropertiesFileName

          public void setPropertiesFileName(java.lang.String fileName)

      Specified by:
        `setPropertiesFileName` in interface `HibernateDataAdapter`

    - #### isUseAnnotation

          public boolean isUseAnnotation()

      Specified by:
        `isUseAnnotation` in interface `HibernateDataAdapter`

    - #### setUseAnnotation

          public void setUseAnnotation(boolean useAnnotation)

      Specified by:
        `setUseAnnotation` in interface `HibernateDataAdapter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com